AWS
action RDS

# failover_db_cluster

Forces a failover for a DB cluster

Run it now
View details

Type | action
Module | chaosaws.rds.actions
Name | failover_db_cluster
Return | mapping

Usage

JSON

    {
      "name": "failover-db-cluster",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.rds.actions",
        "func": "failover_db_cluster",
        "arguments": {
          "db_cluster_identifier": ""
        }
      }
    }

YAML

    name: failover-db-cluster
    provider:
      arguments:
        db_cluster_identifier: ""
      func: failover_db_cluster
      module: chaosaws.rds.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
db_cluster_identifier | string |  | Yes | DB Cluster ID | Database cluster identifier
target_db_instance_identifier | string | null | No | Target DB Instance ID | Target database instance identifier

Signature

    def failover_db_cluster(
            db_cluster_identifier: str,
            target_db_instance_identifier: str = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  probe RDS

  ## `cluster_status`

  Returns the cluster status
- AWS
  action RDS

  ## `stop_db_cluster`

  Stop a RDS Cluster
- AWS
  action RDS

  ## `stop_db_instance`

  Stops a RDS DB instance